
# Logit Clipping for Robust Learning against Label Noise


## Requirements

To install requirements:

```setup
pip install -r requirements.txt
```

## Training

To train the model(s) in the paper, run this command:

```train
# CE
python train.py cifar10 --alg standard -m wrn --noise_type symmetric --noise_rate 0.5 --exp_name test --gpu 6 --loss ce

# CE+LogitClip
python train.py cifar10 --alg clip -m wrn --noise_type symmetric --noise_rate 0.5 --exp_name test --gpu 6 --loss ce --tau 1.5
```